package com.ruoyi.project.training.elearn.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 试卷题目对象 t_el_paper_qu
 *
 * @author ssy
 * @date 2024-05-29
 */
public class TElPaperQu extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 试卷ID */
    @Excel(name = "试卷ID")
    private Long paperId;

    /** 题目ID */
    @Excel(name = "题目ID")
    private Long quId;

    /** 题目类型 */
    @Excel(name = "题目类型")
    private Long quType;

    /** 是否已答 */
    @Excel(name = "是否已答")
    private Long answered;

    /** 主观答案 */
    @Excel(name = "主观答案")
    private String answer;

    /** 问题排序 */
    @Excel(name = "问题排序")
    private Long sort;

    /** 单题分分值 */
    @Excel(name = "单题分分值")
    private Long score;

    /** 实际得分(主观题) */
    @Excel(name = "实际得分(主观题)")
    private Long actualScore;

    /** 是否答对 */
    @Excel(name = "是否答对")
    private Long isRight;

    private String image;

    private String content;

    List<TElPaperQuAnswer> answerList;

    private List<String> answers;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPaperId(Long paperId)
    {
        this.paperId = paperId;
    }

    public Long getPaperId()
    {
        return paperId;
    }
    public void setQuId(Long quId)
    {
        this.quId = quId;
    }

    public Long getQuId()
    {
        return quId;
    }
    public void setQuType(Long quType)
    {
        this.quType = quType;
    }

    public Long getQuType()
    {
        return quType;
    }
    public void setAnswered(Long answered)
    {
        this.answered = answered;
    }

    public Long getAnswered()
    {
        return answered;
    }
    public void setAnswer(String answer)
    {
        this.answer = answer;
    }

    public String getAnswer()
    {
        return answer;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setScore(Long score)
    {
        this.score = score;
    }

    public Long getScore()
    {
        return score;
    }
    public void setActualScore(Long actualScore)
    {
        this.actualScore = actualScore;
    }

    public Long getActualScore()
    {
        return actualScore;
    }
    public void setIsRight(Long isRight)
    {
        this.isRight = isRight;
    }

    public Long getIsRight()
    {
        return isRight;
    }

    public List<String> getAnswers() {
        return answers;
    }

    public void setAnswers(List<String> answers) {
        this.answers = answers;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<TElPaperQuAnswer> getAnswerList() {
        return answerList;
    }

    public void setAnswerList(List<TElPaperQuAnswer> answerList) {
        this.answerList = answerList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("paperId", getPaperId())
            .append("quId", getQuId())
            .append("quType", getQuType())
            .append("answered", getAnswered())
            .append("answer", getAnswer())
            .append("sort", getSort())
            .append("score", getScore())
            .append("actualScore", getActualScore())
            .append("isRight", getIsRight())
            .toString();
    }
}
